* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}


:root {
	--text-black: #181319;
    --text-white: #ffffff;
    --text-gray: #b3afb0;
    --bg-blue1: #ecf6fc;
    --bg-blue2: #dbecf7;
    --bg-yellow: #fada81;
}

html  {
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body {
    font-family: "Maven Pro", sans-serif;
    background-color: var(--bg-blue1);
    color: var(--text-black);
    overflow-x: hidden;
}

body p,
body h2,
body h3, 
body ul,  
body li,
body h1, h3 {
	margin-bottom: 0;
}

a {
    text-decoration: none;
}

/* HEADER */

.header {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 40px 0px 5px;
    z-index: 100;
}

.locale-container.dropdown {
    display: flex;
    align-items: end;    
    height: fit-content;
}

.locale {
    width: 90px;
    border-radius: 30px;
    text-decoration: none;    
    color: var(--text-black);
    display: inline-block;
    padding-right: 3px;
    transition: all 0.3s ease;
}

.dropdown-menu.show > .locale {
    background-color: var(--bg-blue2);
}

.locale:hover {
    background-color: var(--background-blue-light);
}

.locale span {
    margin-left: 5px;
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    color: var(--text-black);
}

.locale:hover span {
	color:var(--text-gray);
}

.locale:hover::after {
	border-top-color:#fff;
}

.locale-container .dropdown-toggle:after {
    margin-left: 5px;
    vertical-align: 2px;
    border-top: 6px solid;
    border-right: 6px solid transparent;
    border-bottom: 0;
    border-left: 6px solid transparent;
    border-top-color: var(--text-gray);    
}

.locale-container .dropdown-menu {
    border: 0px;
    top: 100%;
    width: fit-content;
    background:transparent;
    margin-top: 7px !important;
}

.locale-container .dropdown-menu.show {
    inset: 0px 0px 0px 0px !important;
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.navbar-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 60px;
}

.book-now {
    padding: 6px 18px;
    text-transform: uppercase;
    background-color: var(--text-black);
    color: var(--text-white);
    font-size: 14px;
    font-weight: 600;
    border-radius: 5px;
    border: 1px solid transparent;
    transition: all 300ms ease;
}

.book-now:hover {
    background-color: var(--text-white);
    color: var(--text-black);
    border: 1px solid var(--text-black);
}


#nav-icon1 {
    display: block;
    height: 35px;
    width: 40px;
    border: none;
    background: none;
    position: relative;
    margin-left: auto;
    transition: 0.5s ease-in-out;
    cursor: pointer;
}
	

#nav-icon1 span {
    display: block;
    position: absolute;
    height: 3px;
    background: var(--text-black);
    border-radius: 6px;
    opacity: 1;
    left: 0;
    width: 100%;
    transform: rotate(0deg);
    transition: 0.25s ease-in-out;
}

#nav-icon1 span:nth-child(1) {
    top: 0px;
    width: 30px;
    margin-left: 10px;
}

#nav-icon1 span:nth-child(2) {
    top: 16px;
}

#nav-icon1 span:nth-child(3) {
    top: 32px;
}

#nav-icon1.open span:nth-child(1) {
    top: 50%;
    transform: rotate(135deg);
    width: 100%;
    margin-left: 0px;
}

#nav-icon1.open span:nth-child(2) {
    opacity: 0;
    left: -60px;
}

#nav-icon1.open span:nth-child(3) {
    top: 50%;
    transform: rotate(-135deg);
}

.header .navbar {
    position: static;
}

#navbarSupportedContent {
    position: absolute;
    top: calc(100% + 24px);
    left: 0;
    right: 0;
    background-color: var(--text-white);
    border-radius: 30px;
}

#navbarSupportedContent .wrapper {
    width: 100%;
    padding: 90px 0px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#navbarSupportedContent .navbar-nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#navbarSupportedContent .navbar-nav .nav-item {
    padding-bottom: 60px;
    position: relative;
}

#navbarSupportedContent .navbar-nav .nav-item:last-child {
    padding-bottom: 0px;
}

#navbarSupportedContent .navbar-nav .nav-item::after {
    content: '';
    position: absolute;
    top: calc(100% - 30px);
    left: 50%;
    transform: translate(-50%, 50%);
    height: 2px;
    width: 35px;
    background-color: var(--bg-yellow);
    transition: all 300ms ease;
}

/*
#navbarSupportedContent .navbar-nav .nav-item:last-child::after {
    display: none;
}
*/

#navbarSupportedContent .navbar-nav .nav-item:last-child::after {
    top: calc(100% + 30px);
}

#navbarSupportedContent .navbar-nav .nav-item:hover::after {
    top: calc(100% - 60px);
    width: 100%;
    height: 3px;
}

#navbarSupportedContent .navbar-nav .nav-item:last-child:hover::after {
    top: 100%;
    width: 100%;
    height: 3px;
}

#navbarSupportedContent .navbar-nav a {
    font-size: 30px;
    font-weight: 500;
    color: var(--text-black);
}

/* LANDING */
#main-carousel {
    position: relative;
    z-index: 10;
}

#main-carousel .splide__track {
    border-radius: 30px;
}

#main-carousel .splide__slide img {
    border-radius: 30px;
}

#main-carousel .splide__pagination.splide__pagination--ltr {
    bottom: -50px;
    gap: 30px;
}

#main-carousel .splide__pagination__page {
    width: 13px;
    height: 13px;
}

#main-carousel .splide__pagination__page.is-active {
    background: var(--text-black);
    transform: scale(1.4);
}

#main-carousel::after {
    content: '';
    position: absolute;
    width: 500px;
    height: 500px;
    top: 0;
    right: 0;
    transform: translate(50%, -50%);
    border-radius: 50%;
    background: radial-gradient(
        circle,
        var(--bg-yellow) 0%,
        #fada81c4 30%,
        #fada8133 70%,
        transparent 100%
    );
    z-index: -10;
    box-shadow: 0px 0px 20px 40px #fada8133;
}

.title {
    font-size: 48px;
    font-weight: 500;
    text-align: center;
    margin-bottom: 110px;
    margin-top: 50px;
}

.title strong {
    font-weight: 600;
}

/* INTRO SECTION */
.cards-container.left {
    padding: 50px 60px 40px 30px;
}

.cards-container.right {
    padding: 50px 30px 40px 60px;
}

.cards-title {
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 40px;
}

.text-container {
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.text {
    font-size: 18px;
    font-weight: 400;
}

.text span {
    font-weight: 600;
}

.cards-link {
    font-size: 18px;
    font-weight: 500;
    text-decoration: underline;
    color: var(--text-black)
}

.cards-image {
    position: relative;
    border-radius: 30px;
    overflow: hidden;
    max-height: 481px;
    flex-grow: 1;
}

.cards-image-container-one,
.cards-image-container-two {
    height: 100%;
    justify-content: stretch;
}

.cards-image-container-one {
    padding-right: 30px;
}

.cards-image-container-two {
    padding-left: 30px;
}

.cards-image-container-one .col-sm-6:nth-child(1).cards-image {
    background: url('/themes/demo/assets/images/11.jpeg');
    background-size: cover;
    aspect-ratio: 0.75;
    margin-bottom: -50px;
    margin-top: 50px;
    z-index: 10;
}

.cards-image-container-one .col-sm-6:nth-child(2).cards-image {
    background: url('/themes/demo/assets/images/06.jpeg');
    background-size: cover;
    aspect-ratio: 0.75;
    margin-left: -30px;
    z-index: 0;
}

.cards-image-container-two .col-sm-6:nth-child(1).cards-image {
    background: url('/themes/demo/assets/images/image004.jpg');
    background-size: cover;
    aspect-ratio: 0.75;
    margin-right: -30px;
    z-index: 10;
}

.cards-image-container-two .col-sm-6:nth-child(2).cards-image {
    background: url('/themes/demo/assets/images/image011.jpg');
    background-size: cover;
    aspect-ratio: 0.75;
    margin-bottom: -50px;
    margin-top: 50px;
    z-index: 0;
}

/*  Main */
.info-container {
    padding: 60px;
    background-color: var(--bg-blue2);
    border-radius: 40px;
}


.info-title {
    text-align: center;
    font-weight: 600;
    font-size: 36px;
}

.text {
    font-size: 18px;
    font-weight: 400;
}

.text span {
    font-weight: 500;
}

.icons-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    gap: 30px;
}

.icon-card {
    background-color: var(--text-white);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    aspect-ratio: 1;
    border-radius: 50%;
    text-align: center;
    gap: 15px;
    padding: 20px;
    box-sizing: border-box;
}

.carousel-row {
    width: 116%;
    margin-left: -8%;
    padding-bottom: 30px;
}

#main-carousel-two {
    padding-right: 30px;
}

#main-carousel-two .splide__track {
    border-radius: 30px;
}


#main-carousel-two .splide__slide img {
    border-radius: 30px;
}

#thumbnail-slider-two .splide__slide {
    overflow: hidden;
    border-radius: 30px;
}

#thumbnail-slider-two .splide__slide img {
    border-radius: 30px;
}

#thumbnail-slider-two .splide__track {
    height: 100%;
    max-height: 100%;
    overflow: hidden;
}

#thumbnail-slider-two .splide__track--nav > .splide__list > .splide__slide {
    border: 2px solid transparent;
}

#thumbnail-slider-two .splide__track--nav > .splide__list > .splide__slide.is-active {
    border: 3px solid var(--text-black);
}

#thumbnail-slider-two .splide__arrows--ttb .splide__arrow--prev {
    top: -3em;
}

#thumbnail-slider-two .splide__arrows--ttb .splide__arrow--next {
    bottom: -3em;
}

.info-container-two {
    padding: 40px;
    background-color: var(--bg-blue2);
    border-radius: 40px;
}

.info-container-two .cards-title {
    margin-bottom: 0px;
}

.tab-container {
    padding: 40px;
    background-color: var(--text-white);
    border-radius: 40px;
}

.tab-container .accordion-item:first-of-type {
    border-top: 1px solid #cccccc;
    border-radius: 0px;
}

.tab-container .accordion-item {
    border: none;
    border-bottom: 1px solid #cccccc;
    border-radius: 0px;
}

.tab-container .accordion-button {
    padding: 16px 0px;
}

.tab-container .accordion-item:first-of-type >.accordion-header .accordion-button {
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}

.tab-container .accordion-button:not(.collapsed) {
    color: var(--text-black);
    background-color: transparent;
    box-shadow: inset 0 -1px 0 #cccccc !important;
}

.tab-container .accordion-button:focus {
    box-shadow: none;
}

.tab-container .accordion-button {
    color: var(--text-black);
    font-size: 18px;
    font-weight: 500;
    font-family: "Maven Pro", sans-serif;
}

.tab-container .col-lg-4 {
    position: relative;
}

.tab-container .col-lg-4 img {
    position: absolute;
    right: -80px;
    top: 0;
    width: 350px;
    height: auto;
    border-radius: 30px;
}


/* Footer */
.footer {
    position: relative;
    margin-bottom: 80px;
}

.footer-link {
    display: flex;
    align-items: center;
    gap: 12px;
    text-decoration: none;
    color: var(--text-black);
}

.footer-link span {
    position: relative;
}

.footer-link span::after {
    content: '';
    position: absolute;
    left: 0;
    top: 100%;
    height: 2px;
    background-color: var(--text-black);
    right: 100%;
    transition: all 300ms ease;
}

.footer-link:hover span::after {
    right: 0;
}

/* Booking */
.subpage-section {
    background-color: var(--text-white);
    border-radius: 30px;
    padding: 100px 70px;
}

.subpage-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
}

.booking-steps {
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.booking-steps::after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    transform: translate(0%,-50%);
    background-color: #f3dca6;
    height: 2px;
    z-index: 10;
}

.step {
    font-size: 18px;
    font-weight: 500;
    color: var(--text-white);
    width: 35px;
    height: 35px;
    background-color: #f3dca6;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    z-index: 20;
}

.step.active {
    background-color: #e9b73e;
}

.calendar-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-right: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important;
}

.calendar-title {
    font-size: 24px;
    font-weight: 600;
    text-align: center;
}

.prices-rate {
    font-size: 16px;
    font-weight: 600;
}

.prices-rate span {
    font-size: 16px;
    font-weight: 500;
}

.price-container {
    background-color: var(--bg-blue1);
    border-radius: 30px;
    padding: 0 10px;
}

.price-details-container {
    padding: 20px 10px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.price-detail {
    display: flex;
    flex-direction: column;
    align-items: end;
}

.price-title {
    font-size: 16px;
    font-weight: 700;
    text-align: center;
    padding: 20px 0px;
}

.price-detail .info {
    font-size: 13px;
    font-weight: 500;
    text-transform: uppercase;
}  

.price-detail .amount {
    font-size: 18px;
    font-weight: 600;
}

.price-detail .amount span {
    font-size: 24px;
    font-weight: 600;
}  

.additional-info {
    font-size: 14px;
    font-weight: 400;
}

.next-button {
    width: fit-content;
    margin-left: auto;
    display: flex;
    gap: 10px;
    align-items: center;
    padding: 6px 18px;
    text-transform: uppercase;
    background-color: var(--text-black);
    color: var(--text-white);
    font-size: 18px;
    font-weight: 600;
    border-radius: 5px;
    border: 1px solid transparent;
    transition: all 300ms ease;
}

.next-button:hover {
    background-color: var(--text-white);
    color: var(--text-black);
    border: 1px solid var(--text-black);
}

.next-button img {    
    margin-top: 2px;
    transition: all 300ms ease;
}

.next-button:hover img {
    transform: translateX(10px);
}

.calendar-legend {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
    padding-top: 20px;
}

.calendar-legend div {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    font-size: 12px;
    font-weight: 500;
    text-transform: uppercase;
}

.calendar-legend span {
    height: 30px;
    width: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.calendar-legend .unavailable {
    position: relative;
}

.calendar-legend .unavailable::after {
    content: '';
    position: absolute;
    width: 18px;
    height: 2px;
    background-color: var(--text-gray);
    top: 50%;
    left: 50%;
    transform: translate(-50%, 0%) rotate(45deg);
}

.calendar-legend .current {
    border-radius: 100%;
    background-color: #e7e7e8;
    font-weight: 700;
}

.calendar-legend .selected {
    border-radius: 100%;
    border: 2px solid #e9b73e;
}

/* Personal information */
.personal-information-section {
    background-color: var(--text-white);
    border-radius: 30px;
    padding: 100px 70px;
}

.form-label {
    font-size: 16px;
    font-weight: 700;
    margin-bottom: 0px;
}

.form-field {
    display: flex;
    flex-direction: column;
    gap: 15px;
    align-items: stretch;
}

.form-input {
    padding: 3px 10px;
    border-radius: 5px;
    border: 1px solid var(--text-black);
}

.subpage-container form {
    width: 100%;
}

.page-book-confirm .next-button:hover img {
    transform: translate(5px, -5px);
}

/* Confirm step */
.confirm-details-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: space-between;
}

.confirm-details-container .details-column {
    display: flex;
    flex-direction: column;
    gap: 40px;
    align-items: start;
}

.confirm-details-container .details-column span {
    font-size: 14px;
    font-weight: 500;
    text-transform: uppercase;
}

.confirm-details-container .details-column h3 {
    font-size: 24px;
    font-weight: 500;
}

/* Responsive */
@media (max-width: 1600px) {
    .cards-container.left {
        padding: 50px 40px 40px 20px;
    }

    .cards-container.right {
        padding: 50px 20px 40px 40px;
    }

    .cards-image-container-one {
        padding-right: 20px;
    }

    .cards-image-container-two {
        padding-left: 20px;
    }
}

@media (max-width: 1400px) {
    #navbarSupportedContent .wrapper {
        padding: 40px 0px;
    }

    #navbarSupportedContent .navbar-nav .nav-item {
        padding-bottom: 40px;
        position: relative;
    }

    #navbarSupportedContent .navbar-nav .nav-item::after {
        top: calc(100% - 20px);
    }

    #navbarSupportedContent .navbar-nav .nav-item:last-child::after {
        top: calc(100% + 20px);
    }

    #navbarSupportedContent .navbar-nav .nav-item:hover::after {
        top: calc(100% - 40px);
    }

}

@media (max-width: 1200px) {
    .title {
        font-size: 42px;
        margin-bottom: 60px;
        margin-top: 40px;
    }

    .cards-container.left {
        padding: 40px;
    }

    .cards-container.right {
        padding: 40px;
    }

    .cards-image-container-one {
        padding-right: 0px;
    }

    .cards-image-container-two {
        padding-left: 0px;
    }

    .text-container {
        gap: 24px;
    }

    .cards-title {
        margin-bottom: 24px;
    }

    .text-container hr {
        display: none;
    }

    #navbarSupportedContent .navbar-nav a {
        font-size: 26px;
    }

    .price-details-container {
        flex-direction: row;
        justify-content: space-between;
    }

    .price-detail {
        align-items: start;
    }

    .calendar-column {
        border-right: 0px !important;
    }
}

@media (max-width: 991px) {
    .title {
        margin-bottom: 50px;
    }

    .cards-container.left {
        padding: 20px;
    }

    .cards-container.right {
        padding: 20px;
    }

    .info-container,
    .info-container-two {
        padding: 30px;
    }

    .tab-container {
        padding: 40px;
    }

    #main-carousel-two {
        padding-right: 10px;
    }

    .tab-container .col-lg-4 img {
        position: relative;
        right: unset;
        top: unset;
        width: 100%;
        height: auto;
        margin-top: 48px;
    }

    .footer-align-text {
        margin-left: auto;
        width: fit-content;
    }

    .footer-align-text.cards-link {
        margin-right: 66px;
    }

    .navbar-container {
        gap: 30px;
    }
}

@media (max-width: 768px) {
    .price-details-container {
        flex-direction: column;
    }
}

@media (max-width: 700px) {
    .title {
        margin-bottom: 40px;
        font-size: 32px;
    }

    .cards-container.left {
        padding: 20px 0px;
    }

    .cards-container.right {
        padding: 20px 0px;
    }

    .header .logo,
    .footer .logo {
        width: 150px;
    }

    #navbarSupportedContent .navbar-nav a {
        font-size: 22px;
    }
}

@media (max-width: 575px) {
    .carousel-row {
        width: 100%;
        margin-left: 0;
        padding-bottom: 24px;
    }
        
    .cards-image-container-one .col-sm-6:nth-child(1).cards-image {
        margin-bottom: 0px;
        margin-top: 24px;
    }

    .cards-image-container-one .col-sm-6:nth-child(2).cards-image {
        margin-left: 0px;
        margin-top: 24px;
    }

    .cards-image-container-two .col-sm-6:nth-child(2).cards-image {
        margin-top: 24px;
    }

    .cards-image-container-two .col-sm-6:nth-child(1).cards-image {
        margin-top: 24px;
        margin-right: 0px;
    }

    .icons-container {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(130px, 1fr));
        gap: 10px;
    }

    .icons-container .icon-card img {
        width: 50px;
        height: auto;
    }

    .icons-container .icon-card p {
        font-size: 12px;
    }

    section, footer, header {
        padding-left: 16px !important;
        padding-right: 16px !important; 
    }

    .info-container,
    .info-container-two,
    .tab-container  {
        padding: 32px 16px;
    }

    #main-carousel-two {
        padding-right: 0px;
        padding-bottom: 16px;
    }

    #thumbnail-slider-two .splide__slide {
        aspect-ratio: 1;
    }

    .footer-align-text {
        margin-left: unset;
        width: auto;
    }

    .footer-align-text.cards-link {
        margin-right: 0px;
    }

    .footer .col-lg-4 {
        display: flex;
        align-items: center !important;
        justify-content: center;
        text-align: center;
    }

    .footer-link {
        width: fit-content;
    }

    .footer .col-lg-4 .footer-link:nth-child(2) {
        margin-right: 38px;
    }

    .footer {
        margin-bottom: 100px;
    }

    #navbarSupportedContent {
        left: 16px;
        right: 16px;
    }

    .subpage-section {
        padding: 80px 30px;
        margin: 24px 16px;
        width: calc(100% - 32px);
    }
}

@media (max-width: 480px) {
    .subpage-section {
        padding: 80px 10px;
    }
}
